LibreOffice: XPanel Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPanel Interface Reference

provides access to Panel More...

## Public Member Functions
string | getId ()
| The panel identifier.
string | getTitle ()
| Get the panel title string.
void | setTitle ([in] string newTitle)
| Set the panel title string.
boolean | isExpanded ()
| Is the panel expanded.
void | collapse ()
| Collapse the panel to only show its title bar.
void | expand ([in] boolean bCollapseOther)
| Expand and display the panel.
long | getOrderIndex ()
| Get the ordering index of the panel in the deck.
void | setOrderIndex ([in] long newOrderIndex)
| Set the ordering index of the panel in the deck.
void | moveFirst ()
| Move panel as first item of the deck.
void | moveLast ()
| Move panel as last item of the deck.
void | moveUp ()
| Move panel one step up in the deck.
void | moveDown ()
| Move the panel one step down in the deck.
com::sun::star::awt::XWindow | getDialog ()
| Get the panel dialog element.

## Detailed Description

provides access to Panel

Since
  LibreOffice 5.1

## Member Function Documentation

## ◆ collapse()

void collapse | ( |  | ) |

Collapse the panel to only show its title bar.

## ◆ expand()

void expand | ( | [in] boolean | bCollapseOther | ) |

Expand and display the panel.

Parameters

  bCollapseOther | TRUE collapse all other panels of the deck FALSE do not change other panels state

## ◆ getDialog()

com::sun::star::awt::XWindow getDialog | ( |  | ) |

Get the panel dialog element.

## ◆ getId()

string getId | ( |  | ) |

The panel identifier.

## ◆ getOrderIndex()

long getOrderIndex | ( |  | ) |

Get the ordering index of the panel in the deck.

## ◆ getTitle()

string getTitle | ( |  | ) |

Get the panel title string.

## ◆ isExpanded()

boolean isExpanded | ( |  | ) |

Is the panel expanded.

## ◆ moveDown()

void moveDown | ( |  | ) |

Move the panel one step down in the deck.

## ◆ moveFirst()

void moveFirst | ( |  | ) |

Move panel as first item of the deck.

## ◆ moveLast()

void moveLast | ( |  | ) |

Move panel as last item of the deck.

## ◆ moveUp()

void moveUp | ( |  | ) |

Move panel one step up in the deck.

## ◆ setOrderIndex()

void setOrderIndex | ( | [in] long | newOrderIndex | ) |

Set the ordering index of the panel in the deck.

## ◆ setTitle()

void setTitle | ( | [in] string | newTitle | ) |

Set the panel title string.

Parameters

  newTitle | The new title string

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XPanel.idl